Name:           evas
Version:        0.9.9.023
Release:        1%{?dist}
Summary:        A hardware-accelerated canvas API

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.enlightenment.org/Libraries/Evas/
Source0:        http://enlightenment.freedesktop.org/files/%{name}-%{version}.tar.gz
Patch:          evas-0.9.9.023-novera.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  edb-devel eet-devel freetype-devel directfb-devel libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  xorg-x11-devel

%description
Evas is a hardware-accelerated canvas API for X-Windows that can draw
anti-aliased text, smooth super and sub-sampled images, alpha-blend, as well
as drop down to using normal X11 primitives such as pixmaps, lines and
rectangles for speed if your CPU or graphics hardware are too slow.

Evas abstracts any need to know much about what the characteristics of your
XServer's display are, what depth or what magic visuals etc, it has. The most
you need to tell Evas is how many colors (at a maximum) to use if the display
is not a truecolor display.

%package        devel
Summary:        Development libraries for evas
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The evas-devel package contains libraries and header files for developing
evas applications.

%prep
%setup -q
%patch -p 1 -b .novera

%build
%configure --disable-static --enable-directfb --enable-gl-x11
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/*_load
%{_bindir}/*_test
%{_bindir}/*_window
%{_datadir}/%{name}
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc
%{_bindir}/%{name}-config
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Feb  5 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.9.023-1
- Initial RPM release
